<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Bootstrap CSS link -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">


	<h1>Bootstrap Grid System</h1>
	<!-- two columns -->
	<h2>Two Columns</h2>

	<div class="container-fluid">

		</div>

	<!-- row with two columns divided in 1:2 ratio -->

	<h3>1:2 Ratio</h3>
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
	<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 col</div>
	
	</div>


	<!-- row with two columns divided in 1:3 ratio -->

	<h3>1:3 Ratio</h3>
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
	<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 col</div>
	
	</div>	


		<!-- row with two equal column -->
		<!-- 
					- The "row" class will make all child elements appear side by side stating that all child elements should appear in a row.
					- The "col-6" class will define the width of the child elements to occupy 6 columns for a total of 12.
				 -->

		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
		</div>

		<!-- Three columns -->
		<h2>Three columns
		</h2>
		<div class="container-fluid">
			<!-- row with three equal columns -->
<h3>1:1:1 Ratio</h3>
<div class="row text-light">
	<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
	<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 col</div>
	<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
</div>	

<!-- row with three columns in 1:2:1 ratio -->
<h3>1:2:1 Ratio</h3>
<div class="row text-light">
	<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
	<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
	<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
</div>


<!-- Row with three columns divided in an uneven ratio -->
<h3>Uneven</h3>
<div class="row text-light">
	<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
	<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 col</div>
	<div class="bg-primary pt-3 pb-3 border border-dark col-4">2 col</div>
</div>

		</div>



		<!-- Automatic Sizing -->
		<!-- col -means Auto sizing -->

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			</div>
		</div>


		<!-- mobile responsive columns -->
		<h2>Mobile responsive</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Auto</div>

			</div>
		</div>

<!-- Multi-column layout -->

	<h2>Multi-column layout</h2>
	<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Auto</div>

			</div>





<!-- bootstrap js -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>